<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Usuário e senha</title>

    <script>
        var usuario = prompt("Usuário: ");
        var senha = prompt("Senha: ");

        while (senha === usuario) {
            alert("A senha não pode ser igual ao usuário.");
            senha = prompt(senha);
        }

        alert("Show. Logado!");
    </script>

</head>

<body>

</body>
</html>